python-skbio (0.6.2-3build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 06:16:06 +0100

python-skbio (0.6.2-3) unstable; urgency=medium

  * Team upload.
  * Upgrade to cython 3.x. Closes: #1078527
  * Cleanup patch metadata to work nicely with gbp pq
  * Drop many unneeded patches.
  * Cherry-pick patch from upstream to fix cython segmentation error.
  * Switch to pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 28 Sep 2024 11:37:58 +0200

python-skbio (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-lockfile

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 10:21:12 +0200

python-skbio (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.2
  * Add a new dependency on python3-statsmodels
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Aug 2024 22:37:14 +0200

python-skbio (0.6.1-3) unstable; urgency=medium

  * fix-test_shannon.patch: new: relax floating point comparison.
    (Closes: #1074745)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jul 2024 21:38:07 +0200

python-skbio (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: run dh_numpy3
  * d/control: breaks the older packages of unifrac

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 29 Jun 2024 17:47:14 +0200

python-skbio (0.6.1-1) experimental; urgency=medium

  * Team upload.
  * d/control: simplify architecture specifications by using provisions
    from the architecture-properties package.
  * d/salsi-ci.yml: skip i386 build, add link to salsa-ci docs. Stop
    building in "experimental".
  * Refreshed patches, removed 3 that were applied upstream
  * Add new dependency: python3-biom-format
  * d/control: the docs now need
    python3-{numpydoc,sphinx-design,sphinx-copybutton}
  * docs: Added patch to skip the version switcher theme element

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 10:48:11 +0200

python-skbio (0.5.9-4) unstable; urgency=medium

  * Import upstream pull request to make tests working with scipy 1.11
    Closes: #1063584
  * Remove autogenerated *.c files
    Closes: #1048510
  * Make sure backup of simde-sse2.h
    Closes: #1049511

 -- Andreas Tille <tille@debian.org>  Sun, 11 Feb 2024 21:24:22 +0100

python-skbio (0.5.9-3) unstable; urgency=medium

  * Fix cython issue
    Closes: #1056047

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 13:44:30 +0100

python-skbio (0.5.9-2) unstable; urgency=medium

  * Add loong64 support
    Closes: #1059214

 -- Andreas Tille <tille@debian.org>  Sun, 24 Dec 2023 12:15:43 +0100

python-skbio (0.5.9-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove patch numpy-1.24_32bit.patch that is missing from
    debian/patches/series.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 10 Dec 2023 11:16:54 +0100

python-skbio (0.5.8-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Xfail tests known to fail with Python 3.12, see #1056047
  * Build with cython3-legacy for now (Closes: #1056873)

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 Dec 2023 07:58:34 +0000

python-skbio (0.5.8-4) unstable; urgency=medium

  * Team upload.
  * Use debian package of SIMDe instead of the snapshot in simde-sse2.h

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Feb 2023 11:41:27 +0100

python-skbio (0.5.8-3) unstable; urgency=medium

  * Exclude 32bit architectures be explicitly setting architectures where
    package is building properly

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 17:29:50 +0100

python-skbio (0.5.8-2exp1) experimental; urgency=medium

  * Deactivate patch that builds against scipy 1.81. and building against
    scipy 1.10
    Closes: #1029697

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 14:00:40 +0100

python-skbio (0.5.8-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control,d/patches/local_inventory: python-numpy-doc is no longer built,
    so remove the build-dep and reference

  [ Nilesh Patra ]
  * Adapt to numpy 1.24
    Closes: #1029452

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2023 16:31:24 +0100

python-skbio (0.5.8-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * simde patch: remove; implemented upstream.
  * soften_test patch: remove; implemented upstream.
  * pandas1.1-ordination-fix.patch: remove; applied upstream.
  * pandas1.1-valueerror.patch: remove; applied upstream.
  * local_inventory patch: unfuzz.
  * sphinx_add_javascript.patch: remove; fixed upstream.
  * fix-dtype-precision-warnings.patch: remove; applied upstream.
  * d/rules: include build root in CPPFLAGS; allow source code to find the
    simde-sse2.h wrapper.

  [ Nilesh Patra ]
  * d/watch: Use tags instead of releases as the latter is hard to maintain
  * New upstream version 0.5.8
  * Drop precision_bug.patch, which has been accounted for upstream
  * Re-diff patches
  * Add patch to build with older scipy
  * Add B-D and Depends on python3-h5py
  * Add patch to work-around a test
  * Remove override_dh_python3 which is not needed now
  * Remove B-D on python-matplotlib-doc, update patch to not reference
    it in intersphinx docs (Closes: #1027826)
  * Disable i386 in salsa-ci.yml

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Automated changes by lintian-brush
  * Update lintian override info format in d/python3-skbio.lintian-overrides on
    line 5.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2023 07:57:37 +0100

python-skbio (0.5.6-7) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #1026474)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 13:44:41 +0530

python-skbio (0.5.6-6) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Remove Tim Booth from Uploaders (Thanks to Tim for all his work)

  [ Graham Inggs ]
  * Regenerate the .c files at build time by cython3
    Closes: #1000864
  * Cherry-pick upstream commit to fix dtypes and warnings
    Closes: #992676, #999523
  * Drop skip_tests_failung_due_to_scipy.patch, no longer needed

 -- Graham Inggs <ginggs@debian.org>  Fri, 03 Dec 2021 15:24:18 +0000

python-skbio (0.5.6-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * d/u/metadata: Added refs to registries
  * Standards-Version: 4.6.0
  * d/rules:
    - Not installing /usr/lib/python3/dist-packages/benchmarks/
      (Closes: #991981)
    - Improved cleaning to allow repeated builds

  [ Andreas Tille ]
  * Replace add_javascript() and add_stylesheet() in sphinx config
  * For the moment the 4 tests that are broken due to bug #992676 are excluded

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:17:09 +0200

python-skbio (0.5.6-4) unstable; urgency=medium

  * Team upload.
  * debian/control: add depends on various python doc packages to fix
    intersphinx linking
  * debian/patches/ignore_failing_patches.patch: drop unneeded patch
  * Standards-Version: 4.5.1 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Silence some lintian false-positives

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Feb 2021 11:54:35 +0100

python-skbio (0.5.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patches: Support Pandas 1.1. (Closes: #972548)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Oct 2020 11:00:59 -0700

python-skbio (0.5.6-3) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Versioned Build-Depends: python3-hdmedians (>= 0.14.1)
    Closes: #969649

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 09:20:23 +0200

python-skbio (0.5.6-2) unstable; urgency=medium

  * Team upload.
  * Switch from copy of SIMDe to the libsimde-dev package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 17:37:56 +0200

python-skbio (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove patches incorporated upstream
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Run the tests in the autopkgtest the same way we do during build-time:
    using pytest. Closes: #951222

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Apr 2020 16:07:58 +0200

python-skbio (0.5.5-7) unstable; urgency=medium

  * Team upload.
  * Soften the equality test in NjTests.test_nj_dm1

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 28 Feb 2020 15:18:57 +0100

python-skbio (0.5.5-6) unstable; urgency=medium

  * Team upload.
  * Need sphinx-common for all builds
  * Only attempt to build docs in --indep builds
  * Upsteam uses pytest, so should we

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 28 Feb 2020 10:43:48 +0100

python-skbio (0.5.5-5) unstable; urgency=medium

  * Team upload.
  * Sort build dependencies into common, -arch, and -indep.
  * Marked some build-deps as <!nodoc> and <!nocheck>, as appropriate

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 22 Feb 2020 12:55:14 +0100

python-skbio (0.5.5-4) unstable; urgency=medium

  * Team upload.
  * Build on any architecture
  * Add compatability for pandas >= 1.0 (Closes: #950930)
  * -doc: add ${sphinxdoc:Built-Using} and mark as Multi-Arch: foreign
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 21 Feb 2020 14:08:14 +0100

python-skbio (0.5.5-3) unstable; urgency=medium

  * Apply patch from upstream titled
     "WIP: Build fixes for pandas 0.25.0 and scipy 1.3.0"
  * Versioned Build-Depends: python3-scipy (>= 1.3.3)
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Ignore 4 tests to not block Python3 migration
    Closes: #943619, #944042, #945346
  * Drop python3-httpretty from Test-Depends since there is no point in
    trying to run tests that need internet access.
  * Drop two tests from autopkgtest that are failing due to rounding errors
    despite this is fixed in build time test by a patch

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2019 16:02:13 +0100

python-skbio (0.5.5-2) unstable; urgency=medium

  * Upstream has fixed numpy issue
    Closes: #917693, #918213
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 12 Feb 2019 19:34:10 +0100

python-skbio (0.5.5-1) unstable; urgency=medium

  * New upstream version
    Closes: #906156
  * Standards-Version: 4.2.1
  * Build-Depends: python3-hdmedians
  * Secure URI in copyright format
  * No override for dh_auto_test
  * Test-Depends: python3-pytest

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 12:03:10 +0100

python-skbio (0.5.2-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Fix PYTHONPATH according to a hint given by Piotr Ożarowski
    Closes: #894326
  * Build-Depends: python3-sklearn

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 14:52:54 +0200

python-skbio (0.5.1-4) unstable; urgency=medium

  * Fix PYTHONPATH (thanks for the hint to Andreas Stührk
    <andy@hammerhartes.de>)
    Closes: #878820

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 14:31:54 +0100

python-skbio (0.5.1-3) unstable; urgency=medium

  * Standards-Version: 4.1.1
  * Versioned Build-Depends: python3-pandas (>= 0.19.2)
  * Apply upstream patch dealing with new pandas version
    Closes:  #868962
  * Remove privacy breaching logo

 -- Andreas Tille <tille@debian.org>  Fri, 06 Oct 2017 21:13:24 +0200

python-skbio (0.5.1-2) unstable; urgency=medium

  [ Kevin Murray ]
  * Pull in upstream's fix of numpy issue
    Closes: #849176, #848758

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sat, 24 Dec 2016 09:27:18 +0100

python-skbio (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Change uploader mail
  * Use libssw from debian, not internal source

 -- Kevin Murray <kdmfoss@gmail.com>  Tue, 15 Nov 2016 18:58:14 +1100

python-skbio (0.5.0-1) unstable; urgency=medium

  [ Kevin Murray ]
  * Imported Upstream version 0.5.0. NB: This module is now compatible only
    with Python3.
    Closes: #831266
  * Remove Python2 package (python-skbio)
  * Bump standards version

  [ Andreas Tille ]
  * hardening=+bindnow
  * drop unused lintian overrides
  * drop tests of Python2 package

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 21:57:49 +0200

python-skbio (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * Fix several test failures
  * Add basic autopkgtests
  * Don't build pdf figures (fixes unreproducible build)
  * Secure vcs-git url
  * Bump Standards-Version to 3.9.7, no changes needed

 -- Kevin Murray <kdmfoss@gmail.com>  Sat, 13 Feb 2016 11:06:20 -0800

python-skbio (0.4.1-1) unstable; urgency=medium

  [ Kevin Murray ]
  * New upstream version
  * Build documentation and create new python-skbio-doc package (Closes:
    #806594)

  [ Andreas Tille ]
  * Do not require lots of dependencies on local machine just to run clean
    target

 -- Kevin Murray <kdmfoss@gmail.com>  Mon, 21 Dec 2015 16:45:00 +1100

python-skbio (0.4.0-3) unstable; urgency=low

  [ Kevin Murray ]
  * Revert deletion of CI files in d/rules clean target
  * Add lintian overrides for duplicated compressed files
  * Fix my email address in d/control

 -- Kevin Murray <kdmfoss@gmail.com>  Tue, 13 Oct 2015 22:18:07 +1100

python-skbio (0.4.0-2) unstable; urgency=medium

  * Update python related build-depends so python3-skbio is built for all
    supported python3 versions to ease transitions. (Closes: #801658)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Oct 2015 01:20:31 -0400

python-skbio (0.4.0-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #794021)
  * Add Kevin Murray <kevin@kdmurray.id.au> to uploaders

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2015 21:31:25 +0200

skbio (0.2.3-0biolinux2) trusty; urgency=medium

  * Initial release for QIIME 1.9.0
  * Note that this build does include compiled code and so must be arch=any

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 23 Feb 2015 17:46:31 +0000
